Package io.vertx.junit5

## Class VertxTestContextParameterProvider

- java.lang.Object
- - io.vertx.junit5.VertxTestContextParameterProvider

- All Implemented Interfaces:
    `VertxExtensionParameterProvider<VertxTestContext>`

      public class VertxTestContextParameterProvider
      extends Object
      implements VertxExtensionParameterProvider<VertxTestContext>

  Vert.x test context parameter provider holder class.

  The implementation does not do anything since that type is a built-in special case, but we need it for the injection mechanism to operate.

  Author:
    Julien Ponge

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VertxTestContextParameterProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `key()` | A string to identify the parameter in an extension context.
    `VertxTestContext` | `newInstance​(org.junit.jupiter.api.extension.ExtensionContext extensionContext, org.junit.jupiter.api.extension.ParameterContext parameterContext)` | Provide a new parameter instance.
    `ParameterClosingConsumer<VertxTestContext>` | `parameterClosingConsumer()` | A consumer to close the resource.
    `Class<VertxTestContext>` | `type()` | The parameter type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertxTestContextParameterProvider

          public VertxTestContextParameterProvider()

  - ### Method Detail

    - #### type

          public Class<VertxTestContext> type()

      Description copied from interface: `VertxExtensionParameterProvider`
      The parameter type.
      Specified by:
        `type` in interface `VertxExtensionParameterProvider<VertxTestContext>`
      Returns:
        the parameter type

    - #### key

          public String key()

      Description copied from interface: `VertxExtensionParameterProvider`
      A string to identify the parameter in an extension context.

      In most cases it should be a constant.

      Specified by:
        `key` in interface `VertxExtensionParameterProvider<VertxTestContext>`
      Returns:
        the identifier

    - #### newInstance

          public VertxTestContext newInstance​(org.junit.jupiter.api.extension.ExtensionContext extensionContext,
                                              org.junit.jupiter.api.extension.ParameterContext parameterContext)

      Description copied from interface: `VertxExtensionParameterProvider`
      Provide a new parameter instance.
      Specified by:
        `newInstance` in interface `VertxExtensionParameterProvider<VertxTestContext>`
      Parameters:
        `extensionContext` - the extension context
        `parameterContext` - the parameter context
      Returns:
        the new instance

    - #### parameterClosingConsumer

          public ParameterClosingConsumer<VertxTestContext> parameterClosingConsumer()

      Description copied from interface: `VertxExtensionParameterProvider`
      A consumer to close the resource.
      Specified by:
        `parameterClosingConsumer` in interface `VertxExtensionParameterProvider<VertxTestContext>`
      Returns:
        the consumer